Retrieve uploaded data and status of customer subaccount onboarding
curl --request GET \
--url https://api.anchorage-staging.com/v2/onboarding/subaccounts/{subaccountId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/subaccounts/{subaccountId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/onboarding/subaccounts/{subaccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"status": "<string>",
"subaccountId": "<string>",
"errors": [
{
"key": "<string>",
"status": "MISSING",
"value": "<string>"
}
],
"name": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Retrieve uploaded data and status of customer subaccount onboarding
Permissions required: Onboarding
Get customer subaccount onboarding application status, missing information and previously uploaded information.
GET
/
onboarding
/
subaccounts
/
{subaccountId}
Retrieve uploaded data and status of customer subaccount onboarding
curl --request GET \
--url https://api.anchorage-staging.com/v2/onboarding/subaccounts/{subaccountId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/onboarding/subaccounts/{subaccountId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/onboarding/subaccounts/{subaccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"entries": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"status": "<string>",
"subaccountId": "<string>",
"errors": [
{
"key": "<string>",
"status": "MISSING",
"value": "<string>"
}
],
"name": "<string>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique identifier for a customer subaccount - generated to the client when creating subaccount
Response
Customer subaccount onboarding application status and errors
Get Onboarding KYC Account Application Response
Onboarding KYC Customer Account Applications
Show child attributes
Show child attributes
Was this page helpful?